<?php

namespace Litecms\Video\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VideoTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Video\Models\Video $video)
    {
        return [
            'id'                => $video->getRouteKey(),
            'key'               => [
                'public'    => $video->getPublicKey(),
                'route'     => $video->getRouteKey(),
            ], 
            'video_id'          => $video->video_id,
            'url'               => [
                'public'    => trans_url('video/'.$video->getPublicKey()),
                'user'      => guard_url('video/video/'.$video->getRouteKey()),
            ], 
            'status'            => trans('app.'.$video->status),
            'created_at'        => format_date($video->created_at),
            'updated_at'        => format_date($video->updated_at),
        ];
    }
}